
QGIS Application - Bug report #20266

Copy/paste style form widget type

2018-10-30 04:31 AM - Lene Fischer

Status: Open

Priority: High

Assignee: Denis Rouzaud

Category: Forms

Affected QGIS version:3.4.5 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28087

Description

In 3.4 copy/paste style for forms does not paste

Tried to save/load  style - same result

In 3.2 it worked for same feature type

History

#1 - 2018-10-30 04:35 AM - Lene Fischer

- Subject changed from Copy/paste style form to Copy/paste style form widget type

The forms are created - but the widget types/default values are not added

#2 - 2018-10-30 04:35 AM - Nyall Dawson

- Assignee changed from Nyall Dawson to Denis Rouzaud

#3 - 2018-10-30 02:56 PM - Denis Rouzaud

- Status changed from Open to Feedback

Did you copy forms only?

You need to copy fields category too.

#4 - 2018-10-31 03:15 AM - Lene Fischer

No I haven´t copied the fields - The two layer has different fields (table structure) only in the Form they share fields.

If I copy fields wouldn´t it change the table structure ?

Another question - I can´t copy / paste both at the same time - Then how do I perform the  action ?

In 3.2 it worked - except for different geometry types - If I saved the style into a file and deleted the Geometry part, it worked as wanted.

Now I can´t even use save style.

#5 - 2018-10-31 10:36 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from Normal to High
#6 - 2018-10-31 06:47 PM - Denis Rouzaud

- Status changed from Open to Feedback

You just need to use copy all style categories to have everything coming along.

Otherwise, if you need a specific combination:

    -  do it one after the other

    -  use the dialog in vector layer properties to export to file the specific categories you want to export.

#7 - 2018-10-31 06:48 PM - Denis Rouzaud

- Regression? changed from Yes to No

I don't see a regression here.

The save style dialog is still accessible (and now can be configured with specific categories, so no need to manually edit the file)

#8 - 2018-10-31 10:08 PM - Lene Fischer

- File form.JPG added

No I don´t want to copy all styles... 

The main problem is that copying the fields is in my mind the data structure - correct me if I´m wrong - and that´s not what I want. I want the entire attribute

form - including the widget type and filter expression - see image.

#9 - 2018-11-01 01:05 AM - Denis Rouzaud

well, the configuration of the widget is actually the field category of the style categories. At the moment, you cannot choose some specific fields you would

like to copy.

but I think we are maybe misunderstanding.

when you copy "fields" in the style menu, it doesn't copy the fields but their configuration.

So in your case, you can copy/paste fields then copy/paste form and this should work.

#10 - 2019-03-09 09:34 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

So in your case, you can copy/paste fields then copy/paste form and this should work.

closing fot lack of feedback.

#11 - 2019-03-09 10:37 AM - Lene Fischer

- Status changed from Closed to Reopened
It still doesnt work. 

If I copy a form and paste to another layer - nothing happens. 

If i copy all and just past the form it doesnt work either.

I don´t want to copy past all.

#12 - 2019-03-09 10:40 AM - Giovanni Manghi

- Affected QGIS version changed from 3.4.0 to 3.4.5

- Status changed from Reopened to Open

- Resolution deleted (no timely feedback)

Files

form.JPG 167 KB 2018-10-31 Lene Fischer
